import { ContractOverrides, WrappedTransactionResponse } from "../interfaces/objects";
import { RewardsFactoryError, BaseURI, BlockchainCommonErrors } from "@snickerdoodlelabs/objects";
import { ethers } from "ethers";
import { ResultAsync } from "neverthrow";
export interface IRewardsContractFactory {
    deployERC721Reward(name: string, symbol: string, baseURI: BaseURI, overrides?: ContractOverrides): ResultAsync<WrappedTransactionResponse, BlockchainCommonErrors | RewardsFactoryError>;
    estimateGasToDeployERC721Contract(name: string, symbol: string, baseURI: BaseURI): ResultAsync<ethers.BigNumber, RewardsFactoryError | BlockchainCommonErrors>;
}
export declare const IRewardsContractFactoryType: unique symbol;
//# sourceMappingURL=IRewardsContractFactory.d.ts.map